package com.zipcoder.payment;
import org.junit.Test;
import static org.junit.Assert.*;

public class PayPalTest {

    @Test
    public void getSetId() {
        long id = 12345;
        long expectedId = id;
        PayPal payPal = new PayPal();
        payPal.setId(id);
        long actualId = payPal.getId();
        assertEquals(expectedId, actualId);
    }

    @Test
    public void getSetPayerName() {
        String payerName = "Tia Mowry";
        String expectedPayerName = payerName;
        PayPal payPal = new PayPal();
        payPal.setPayerName(payerName);
        String actualPayerName = payPal.getPayerName();
        assertEquals(expectedPayerName, actualPayerName);
    }

    @Test
    public void getSetEmail(){
        String email = "tia@mowry.com";
        String expectedEmail = email;
        PayPal payPal = new PayPal();
        payPal.setEmail(email);
        String actualEmail = payPal.getEmail();
        assertEquals(expectedEmail, actualEmail);
    }

    @Test
    public void getShortDescription() {
        PayPal payPal = new PayPal();
        String getShortDescription = ("PayPal" + payPal.payerName + payPal.email);
         String expectedGetShortDescription = ("PayPal" + payPal.payerName + payPal.email);
         String actualGetShortDescription = payPal.getShortDescription();
        assertEquals(expectedGetShortDescription, actualGetShortDescription);
    }

    @Test
    public void compareTo1() {
        CreditCard creditCard = new CreditCard();
        PayPal payPal = new PayPal();
        int expectedCompareTo = 1;
        int actualCompareTo = payPal.compareTo(creditCard);
        assertEquals(expectedCompareTo, actualCompareTo);
    }

    @Test
    public void compareTo2() {
        Check check = new Check();
        PayPal payPal = new PayPal();
        int expectedCompareTo = 1;
        int actualCompareTo = payPal.compareTo(check);
        assertEquals(expectedCompareTo, actualCompareTo);
    }

    @Test
    public void compareTo3() {
        PayPal payPal = new PayPal();
        int expectedCompareTo = 0;
        int actualCompareTo = payPal.compareTo(payPal);
        assertEquals(expectedCompareTo, actualCompareTo);
    }
}